Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 85643 - Unhandled exception, in ? intf.run(id,dispatch,configFileData)
Summary: Unhandled exception, in ? intf.run(id,dispatch,configFileData)
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: anaconda
Version: 8.0
Hardware: i586
OS: Linux
medium
high
Target Milestone: ---
Assignee: Jeremy Katz
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-03-05 14:32 UTC by domedome
Modified: 2007-04-18 16:51 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-03-07 19:48:40 UTC


Attachments (Terms of Use)

Description domedome 2003-03-05 14:32:46 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20020823
Netscape/7.0

Description of problem:
File "/usr/bin/anaconda",line 694, in ? intf.run(id,dispatch,configFileData)
File "/usr/lib/anaconda/text.py", line 446, in run 
dispatch.gotoNext()
File "/usr/lib/anaconda/dispatch.py",
line 150, in gotoNext
self.moveStep()
File "/usr/lib/anaconda/dispatch.py", line 215, in moveStep
rc = apply(func, self.bindArgs(args))
File "/usr/lib/anaconda/partitioning.py",
line 57, in partiotionObjectsInitialize
partitions.setFromDisk(sidkset)
File "/usr/lib/anaconda/partitions.py",
line 184, in setFromDisk
lvm.vgscan()
File "/usr/lib/anaconda/lvm.py", line 38, 
in vgscan
raise systemError, "vgscan failed"
SystemError: vgscan failed

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.install linux from floppy (my system don't support cdrom boot)
2.select server installation (english, us keyboard)
3.for autopartition of custom disk druid partitioning
4.after this question he crash
    

Actual Results:  system crash with the error message

Expected Results:  go to partitioning my system

Additional info:

Comment 1 Jeremy Katz 2003-03-07 19:48:40 UTC
Fixed in our current codebase.


Note You need to log in before you can comment on or make changes to this bug.